Agda-2.5.2: A dependently typed functional programming language and proof assistant

Safe Haskell | None
Language | Haskell2010

Agda.TypeChecking.Monad.Local

Synopsis

- makeLocal :: Free' a All => a -> TCM (Local a)
- makeGlobal :: Free' a All => a -> TCM (Local a)
- getLocal :: Subst Term a => Local a -> TCM (Maybe a)

# Documentation

makeLocal :: Free' a All => a -> TCM (Local a) #

Precondition: must not be called if the module parameter of the current module have been refined or (touched at all).

makeGlobal :: Free' a All => a -> TCM (Local a) #

getLocal :: Subst Term a => Local a -> TCM (Maybe a) #